---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 30
    AccountRefMonth: 04
    LastMadeUpDate: 30/04/2023
    NextDueDate: 31/01/2025
  CompanyCategory: Private Limited Company
  CompanyName: EXCELL ENVIRONMENTAL SOLUTIONS LIMITED
  CompanyNumber: 07171567
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 26/02/2010
  RegAddress:
    AddressLine1: NUMERIC HOUSE
    AddressLine2: 98 STATION ROAD
    PostTown: SIDCUP
    County: KENT
    Postcode: DA15 7BY
  Returns:
    LastMadeUpDate: 25/02/2024
    NextDueDate: 11/03/2025
  SICCodes:
    SicText:
      - '71122 - Engineering related scientific and technical consulting activities'
